// priority: 100

ServerEvents.tags('item', event => {
  event.add('kubejs:removed', [
    'beachparty:rubber_ring_blue',
    'beachparty:rubber_ring_pink',
    'beachparty:rubber_ring_stripped',
    'beachparty:rubber_ring_axolotl',
    'beachparty:rubber_ring_pelican',
    'artifacts:everlasting_beef',
    'artifacts:eternal_steak',
    'relics:infinity_ham',
    'croptopia:guide',
    'tacz:workbench_a',
    'mekanism:digital_miner',
    'avaritia:infinity_axe',
    'avaritia:infinity_pickaxe',
    'avaritia:infinity_shovel',
    'avaritia:infinity_hoe',
    'avaritia:infinity_bow',
    'avaritia:infinity_chest',
    'avaritia:infinity_helmet',
    'avaritia:infinity_chestplate',
    'avaritia:infinity_leggings',
    'avaritia:infinity_boots',
    'createoreexcavation:extractor'
  ])

  event.add('c:hidden_from_recipe_viewers', ['#kubejs:removed']);

  event.add('forge:ingots/aluminum', [
    'tfmg:aluminum_ingot',
    'create_tank_defenses:aluminum_ingot'
  ]);
});

LootJS.modifiers((event) => {
  event.addLootTableModifier(/.*/).removeLoot({tag: 'kubejs:removed'});
});

ServerEvents.recipes(event => {
  event.remove({ output: '#kubejs:removed' });
  event.remove({ output: 'tacz:workbench_a' }); // need this cause tacz is doing tacz things

  // Conversions
  event.shapeless(Item.of('tfmg:cast_iron_block'), ['createbigcannons:cast_iron_block']);
  event.shapeless(Item.of('createbigcannons:cast_iron_block'), ['tfmg:cast_iron_block']);
});

MoreJSEvents.villagerTrades(event => {
  event.removeTrades({
    firstItem: 'minecraft:emerald',
    secondItem: 'minecraft:air',
    outputItem: '#kubejs:removed'
  });
});